Skip to main content
GET
/
exchange_accounts
/
{exchangeAccountId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<ExchangeAsset>> = fireblocks.exchangeAccounts.getExchangeAccountAsset(exchangeAccountsApiGetExchangeAccountAssetRequest);
{
  "id": "<string>",
  "balance": "<string>",
  "lockedAmount": "<string>",
  "total": "<string>",
  "available": "<string>",
  "credit": "<string>",
  "assetId": "2306088f-97ed-4293-8d28-8ab627f272d7",
  "providerSymbol": "BTC",
  "assetSymbol": "BTC",
  "assetLegacyId": "BTC"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

exchangeAccountId
string
required

The ID of the exchange account to return

assetId
string
required

The ID of the asset to return

Response

An ExchangeAccountAsset object

id
string
balance
string
lockedAmount
string
total
string
available
string
credit
string
assetId
string

The id of the asset

Example:

"2306088f-97ed-4293-8d28-8ab627f272d7"

providerSymbol
string

The provider symbol of the asset

Example:

"BTC"

assetSymbol
string

The asset symbol of the asset

Example:

"BTC"

assetLegacyId
string

The asset legacy id of the asset

Example:

"BTC"